org.eclipse.viatra.integration.mwe2.mwe2impl

## Class TransformationChain

- java.lang.Object
- - org.eclipse.viatra.integration.mwe2.mwe2impl.TransformationChain

- All Implemented Interfaces:
    org.eclipse.emf.mwe2.runtime.workflow.IWorkflowComponent, ICompositeStep

      public class TransformationChain
      extends java.lang.Object
      implements org.eclipse.emf.mwe2.runtime.workflow.IWorkflowComponent, ICompositeStep

  MWE2 workflow component that represents a Transformation chain. Each one of these transformation chains can contain more transformation steps, as the class implements the ICompositeStep interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformationChain()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStep(ITransformationStep step)` Via this method ITransformationStep objects can be added to the composite step.
    `java.util.List<ITransformationStep>` | `getStep()` Via this method ITransformationStep objects can be queried.
    `void` | `invoke(org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext ctx)` Upon being invoked by the MWE runner, the transformation chain will initialize its subcomponents and execute them as well.
    `void` | `postInvoke()` After it is invoked, it disposes all of the subcomponents.
    `void` | `preInvoke()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformationChain

          public TransformationChain()

  - ### Method Detail

    - #### invoke

          public void invoke(org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext ctx)

      Upon being invoked by the MWE runner, the transformation chain will initialize its subcomponents and execute them as well.
      Specified by:
        `invoke` in interface `org.eclipse.emf.mwe2.runtime.workflow.IWorkflowComponent`

    - #### postInvoke

          public void postInvoke()

      After it is invoked, it disposes all of the subcomponents.
      Specified by:
        `postInvoke` in interface `org.eclipse.emf.mwe2.runtime.workflow.IWorkflowComponent`

    - #### preInvoke

          public void preInvoke()

      Specified by:
        `preInvoke` in interface `org.eclipse.emf.mwe2.runtime.workflow.IWorkflowComponent`

    - #### addStep

          public void addStep(ITransformationStep step)

      Description copied from interface: `ICompositeStep`
      Via this method ITransformationStep objects can be added to the composite step. These transformation steps represent the different simple and complex (loop, sequence) steps in a complex transformation chain (For example: Model to model transformation, code generation...)
      Specified by:
        `addStep` in interface `ICompositeStep`

    - #### getStep

          public java.util.List<ITransformationStep> getStep()

      Description copied from interface: `ICompositeStep`
      Via this method ITransformationStep objects can be queried. These transformation steps represent the different simple and complex (loop, sequence) steps in a complex transformation chain (For example: Model to model transformation, code generation...).
      Specified by:
        `getStep` in interface `ICompositeStep`